View Issue Details

IDProjectCategoryView StatusLast Update
0031044Open CASCADEOCCT:Codingpublic2020-12-02 17:12
Reporterabv Assigned Toapn  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031044: Coding - Standard_NODISCARD should be placed before Standard_EXPORT
DescriptionWhen compiling OCCT with Platform Toolset set to "LLVM (clang-cl)", the compiler issues error where Standard_EXPORT is followed by Standard_NODISCARD in the method declaration, such as:

1>..\..\..\inc/../src/Units/Units_Token.hxx(138,19): error : an attribute list cannot appear here
1>..\..\..\inc/../src/Standard/Standard_Macro.hxx(69,32): message : expanded from macro 'Standard_NODISCARD'

 
Steps To ReproduceGenerate projects for MSVC 2019 for toolset LLVM (or generate standard, then edit project's propertied to set LLVM toolset) and build
TagsNo tags attached.
Test case numberNot needed

Attached Files

  • Standard_LOCAL.patch (4,625 bytes)

Activities

git

2019-10-08 08:08

administrator   ~0087935

Branch CR31044 has been created by abv.

SHA-1: 1ac58326fbc21fb09beb4ac81d5d2c969238be52


Detailed log of new commits:

Author: abv
Date: Mon Oct 7 21:32:21 2019 +0300

    0031044: Coding - Standard_NODISCARD should be placed before Standard_EXPORT
    
    Standard_NODISCARD is put before Standard_EXPORT in all places throughout OCCT code

abv

2019-10-09 23:11

manager   ~0087994

Fix is pushed to branch CR31044, please review. Tests are OK, see Jenkins job CR31044-abv

git

2019-10-10 09:23

administrator   ~0088002

Branch CR31044_gcc_vis has been created by kgv.

SHA-1: f8d1a6fd07f693c7e43b1ca2cdfddfb051847d7f


Detailed log of new commits:

Author: kgv
Date: Thu Oct 10 09:22:29 2019 +0300

    0031044: Coding - Standard_NODISCARD should be placed before Standard_EXPORT

kgv

2019-10-10 09:59

developer   ~0088005

There are still compilation errors on macOS - not all places have been corrected:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR31044_gcc_vis-master-KGV-OCCT-MacOS-opt-compile/1/parsed_console/

git

2019-10-11 21:53

administrator   ~0088055

Branch CR31044 has been updated forcibly by abv.

SHA-1: 6656c1c585e504d9b590820474ad5750060f615f

git

2019-10-11 22:07

administrator   ~0088056

Branch CR31044_gcc_vis has been updated forcibly by abv.

SHA-1: f13058c55af657144f64c536c1d65f8694fbf6db

abv

2019-10-12 22:58

manager   ~0088070

Sorry, my commit was lacking three files. Please review updated branches. Your branch CR31044_gcc_vis now passes tests OK, see Jenkins job CR31044_gcc_vis-master-KGV.

I believe we can introduce Standard_LOCAL and use it where reasonable, but I see no use in defining Standard_EXPORT as non-empty on Linux. Please reconsider this in commit in CR31044_gcc_vis.

abv

2019-10-15 06:52

manager  

Standard_LOCAL.patch (4,625 bytes)

git

2019-10-15 06:52

administrator   ~0088126

Branch CR31044_gcc_vis has been deleted by abv.

SHA-1: f13058c55af657144f64c536c1d65f8694fbf6db

abv

2019-10-15 06:54

manager   ~0088127

Branch to be integrated is CR31044. Content of branch CR31044_gcc_vis is archived as patch attached to this issue (Standard_LOCAL.patch)

git

2019-10-23 11:51

administrator   ~0088482

Branch CR31044 has been deleted by kgv.

SHA-1: 6656c1c585e504d9b590820474ad5750060f615f

Related Changesets

occt: master 6ed44b1c

2019-10-07 18:32:21

abv


Committer: apn Details Diff
0031044: Coding - Standard_NODISCARD should be placed before Standard_EXPORT

Standard_NODISCARD is put before Standard_EXPORT in all places throughout OCCT code
Affected Issues
0031044
mod - src/Bnd/Bnd_B2d.hxx Diff File
mod - src/Bnd/Bnd_B2f.hxx Diff File
mod - src/Bnd/Bnd_B3d.hxx Diff File
mod - src/Bnd/Bnd_B3f.hxx Diff File
mod - src/Bnd/Bnd_Box.hxx Diff File
mod - src/Bnd/Bnd_Box2d.hxx Diff File
mod - src/Geom/Geom_Axis1Placement.hxx Diff File
mod - src/Geom/Geom_Curve.hxx Diff File
mod - src/Geom/Geom_Geometry.hxx Diff File
mod - src/Geom/Geom_Surface.hxx Diff File
mod - src/Geom/Geom_Transformation.hxx Diff File
mod - src/Geom/Geom_Vector.hxx Diff File
mod - src/Geom/Geom_VectorWithMagnitude.hxx Diff File
mod - src/Geom2d/Geom2d_AxisPlacement.hxx Diff File
mod - src/Geom2d/Geom2d_Curve.hxx Diff File
mod - src/Geom2d/Geom2d_Geometry.hxx Diff File
mod - src/Geom2d/Geom2d_Transformation.hxx Diff File
mod - src/Geom2d/Geom2d_Vector.hxx Diff File
mod - src/Geom2d/Geom2d_VectorWithMagnitude.hxx Diff File
mod - src/gp/gp_Ax1.hxx Diff File
mod - src/gp/gp_Ax2.hxx Diff File
mod - src/gp/gp_Ax22d.hxx Diff File
mod - src/gp/gp_Ax2d.hxx Diff File
mod - src/gp/gp_Ax3.hxx Diff File
mod - src/gp/gp_Circ.hxx Diff File
mod - src/gp/gp_Circ2d.hxx Diff File
mod - src/gp/gp_Cone.hxx Diff File
mod - src/gp/gp_Cylinder.hxx Diff File
mod - src/gp/gp_Dir.hxx Diff File
mod - src/gp/gp_Dir2d.hxx Diff File
mod - src/gp/gp_Elips.hxx Diff File
mod - src/gp/gp_Elips2d.hxx Diff File
mod - src/gp/gp_Hypr.hxx Diff File
mod - src/gp/gp_Hypr2d.hxx Diff File
mod - src/gp/gp_Lin.hxx Diff File
mod - src/gp/gp_Lin2d.hxx Diff File
mod - src/gp/gp_Parab.hxx Diff File
mod - src/gp/gp_Parab2d.hxx Diff File
mod - src/gp/gp_Pln.hxx Diff File
mod - src/gp/gp_Pnt.hxx Diff File
mod - src/gp/gp_Pnt2d.hxx Diff File
mod - src/gp/gp_Sphere.hxx Diff File
mod - src/gp/gp_Torus.hxx Diff File
mod - src/gp/gp_Vec.hxx Diff File
mod - src/gp/gp_Vec2d.hxx Diff File
mod - src/math/math_IntegerVector.hxx Diff File
mod - src/math/math_Matrix.hxx Diff File
mod - src/math/math_Vector.hxx Diff File
mod - src/TopLoc/TopLoc_Location.hxx Diff File
mod - src/Units/Units_Token.hxx Diff File

Issue History

Date Modified Username Field Change
2019-10-07 21:30 abv New Issue
2019-10-07 21:30 abv Assigned To => kgv
2019-10-08 08:08 git Note Added: 0087935
2019-10-09 23:11 abv Note Added: 0087994
2019-10-09 23:11 abv Status new => resolved
2019-10-09 23:11 abv Steps to Reproduce Updated
2019-10-10 09:23 git Note Added: 0088002
2019-10-10 09:59 kgv Note Added: 0088005
2019-10-10 09:59 kgv Assigned To kgv => abv
2019-10-10 09:59 kgv Status resolved => assigned
2019-10-11 21:53 git Note Added: 0088055
2019-10-11 22:07 git Note Added: 0088056
2019-10-12 22:58 abv Note Added: 0088070
2019-10-12 22:58 abv Assigned To abv => kgv
2019-10-12 22:58 abv Status assigned => resolved
2019-10-13 09:24 kgv Assigned To kgv => bugmaster
2019-10-13 09:24 kgv Status resolved => reviewed
2019-10-15 06:52 abv File Added: Standard_LOCAL.patch
2019-10-15 06:52 git Note Added: 0088126
2019-10-15 06:54 abv Note Added: 0088127
2019-10-23 01:07 apn Changeset attached => occt master 6ed44b1c
2019-10-23 01:07 apn Assigned To bugmaster => apn
2019-10-23 01:07 apn Status reviewed => verified
2019-10-23 01:07 apn Resolution open => fixed
2019-10-23 01:16 apn Test case number => Not needed
2019-10-23 11:51 git Note Added: 0088482
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed